Paste number 158191: 'guix environment' test failures

Paste number 158191: 'guix environment' test failures
Pasted by: civodul
When:6 years, 4 weeks ago
Share:Tweet this! | http://paste.lisp.org/+3E27
Channel:None
Paste contents:
Raw Source | XML | Display As
FAIL: tests/guix-environment
============================

+ set -e
+ guix environment --version
guix environment (GNU Guix) 0.9.0
Copyright (C) 2015 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ tmpdir=t-guix-environment-16105
+ trap 'rm -r "$tmpdir"' EXIT
+ mkdir t-guix-environment-16105
+ guix environment --ad-hoc guile-bootstrap --pure --search-paths
accepted connection from pid 16117, user nixbld
+ guix environment --ad-hoc guile-bootstrap:out --pure --search-paths
accepted connection from pid 16134, user nixbld
+ grep -E '^export PATH=.*guile-bootstrap-[0-9.]+/bin' t-guix-environment-16105/a
export PATH="/tmp/nix-build-guix-0.8.3.6d6e628.drv-0/source/test-tmp/store/j6xp4bnp0jlw0w1jmzpkhi2a93ygb4a5-guile-bootstrap-2.0/bin"
++ wc -l
+ test 1 = 1
+ cmp t-guix-environment-16105/a t-guix-environment-16105/b
+ guix environment --ad-hoc guile-bootstrap --pure -- guile -c '(exit 42)'
accepted connection from pid 16144, user nixbld
+ test 42 = 42
+ guix environment --ad-hoc guile-bootstrap --pure -E 'guile -c '\''(exit 42)'\'''
accepted connection from pid 16151, user nixbld
In execvp of /bin/sh: No such file or directory
+ test 127 = 42
+ rm -r t-guix-environment-16105
./test-env: line 1: 16104 Terminated              "/tmp/nix-build-guix-0.8.3.6d6e628.drv-0/source/pre-inst-env" "/tmp/nix-build-guix-0.8.3.6d6e628.drv-0/source/guix-daemon" --disable-chroot --substitute-urls="$GUIX_BINARY_SUBSTITUTE_URL"
FAIL tests/guix-environment.sh (exit status: 1)

FAIL: tests/guix-environment-container
======================================

+ set -e
+ guix environment --version
guix environment (GNU Guix) 0.9.0
Copyright (C) 2015 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ tmpdir=t-guix-environment-16191
+ trap 'rm -r "$tmpdir"' EXIT
+ mkdir t-guix-environment-16191
+ guix environment --container --ad-hoc --bootstrap guile-bootstrap -- guile -c '(exit 42)'
accepted connection from pid 16218, user nixbld
+ test 1 = 42
+ rm -r t-guix-environment-16191
./test-env: line 1: 16190 Terminated              "/tmp/nix-build-guix-0.8.3.6d6e628.drv-0/source/pre-inst-env" "/tmp/nix-build-guix-0.8.3.6d6e628.drv-0/source/guix-daemon" --disable-chroot --substitute-urls="$GUIX_BINARY_SUBSTITUTE_URL"
FAIL tests/guix-environment-container.sh (exit status: 1)

This paste has no annotations.

Colorize as:
Show Line Numbers

Lisppaste pastes can be made by anyone at any time. Imagine a fearsomely comprehensive disclaimer of liability. Now fear, comprehensively.